CREATE procedure [C6StagingPeriodico].[RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3',  
  GETDATE(),  
  'Elaborazione Trimestale'  
 )  
 truncate table C6StagingPeriodico.RP_S4_S5_S13_TRAD_UNTIL_LIV3  
 insert into C6StagingPeriodico.RP_S4_S5_S13_TRAD_UNTIL_LIV3  
 select * from [CONSUNI_PERIODICO].[consulenzaUnica].[dbo].[REP_S4_S5_S13_TRAD_UNTIL_LIV3]  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3'  
  )  
end